<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net7.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
  </PropertyGroup>

  <ItemGroup>
	  <PackageReference Include="Pluralize.NET" Version="1.0.2" />
	  <PackageReference Include="FluentValidation.DependencyInjectionExtensions" Version="11.7.1" />
	  <PackageReference Include="MediatR.Extensions.Autofac.DependencyInjection" Version="11.2.0" />
	  <PackageReference Include="Microsoft.AspNetCore.Mvc.Versioning" Version="5.1.0" />
	  <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="7.0.10">
		  <PrivateAssets>all</PrivateAssets>
		  <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
	  </PackageReference>
	  <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="7.0.10">
		  <PrivateAssets>all</PrivateAssets>
		  <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
	  </PackageReference>
	  <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="7.0.4" />
	  <PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.19.5" />
	  <PackageReference Include="Swashbuckle.AspNetCore" Version="6.5.0" />
	  <PackageReference Include="Swashbuckle.AspNetCore.Annotations" Version="6.5.0" />
	  <PackageReference Include="Swashbuckle.AspNetCore.Filters" Version="7.0.8" />
	  <PackageReference Include="Autofac" Version="7.1.0" />
	  <PackageReference Include="Autofac.Extensions.DependencyInjection" Version="8.0.0" />
	  <PackageReference Include="Serilog" Version="3.0.1" />
	  <PackageReference Include="Serilog.AspNetCore" Version="7.0.0" />
	  <PackageReference Include="Serilog.Sinks.Console" Version="4.1.0" />
	  <PackageReference Include="Serilog.Sinks.ElmahIo" Version="5.0.37" />
	  <PackageReference Include="Serilog.Sinks.File" Version="5.0.0" />
	  <PackageReference Include="Serilog.Sinks.PostgreSQL" Version="2.3.0" />
	  <PackageReference Include="Serilog.Sinks.Seq" Version="5.2.2" />
	  <PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="7.0.10" />
	  <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="7.0.10" />
	  <PackageReference Include="StackExchange.Redis" Version="2.6.122" />
	  <PackageReference Include="StackExchange.Redis.Extensions.Core" Version="9.1.0" />
	  <PackageReference Include="Microsoft.Extensions.Identity.Stores" Version="7.0.10" />
	  <PackageReference Include="Microsoft.AspNetCore.Identity.EntityFrameworkCore" Version="7.0.10" />
	  <PackageReference Include="Microsoft.AspNetCore.Identity" Version="2.2.0" />
  </ItemGroup>

  <ItemGroup>
    <Using Include="Autofac" />
    <Using Include="Autofac.Extensions.DependencyInjection" />
    <Using Include="Brizco.Common.Extensions" />
    <Using Include="Brizco.Common.Models" />
    <Using Include="Brizco.Common.Models.Api" />
    <Using Include="Brizco.Identity.Api" />
    <Using Include="Brizco.Identity.Api.Domain" />
    <Using Include="Brizco.Identity.Api.Domain.Entities" />
    <Using Include="Brizco.Identity.Api.Models" />
    <Using Include="Brizco.Identity.Api.Services.Contracts" />
    <Using Include="Brizco.Identity.Api.WebFramework.Configurations" />
    <Using Include="Brizco.Identity.Api.WebFramework.MiddleWares" />
    <Using Include="Microsoft.AspNetCore.Identity" />
    <Using Include="Microsoft.AspNetCore.Identity.EntityFrameworkCore" />
    <Using Include="Microsoft.AspNetCore.Mvc" />
    <Using Include="Microsoft.AspNetCore.Mvc.Authorization" />
    <Using Include="Microsoft.EntityFrameworkCore" />
    <Using Include="Newtonsoft.Json" />
    <Using Include="Serilog" />
    <Using Include="StackExchange.Redis.Extensions.Core.Configuration" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Models\" />
    <Folder Include="Services\Contracts\" />
  </ItemGroup>

</Project>
